<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Mi página con HTML5</title>
    <style>
        /* Estilos para el documento */
        body {
            width: 100%;
        }
        header {
            width: 100%;
            border: 1px solid black;
        }
        nav {
            width: 20%;
            float: left;
            border: 1px solid black;
            height: 300px;
            padding: 10px 10px;
        }
        main {
            height: 300px;
            border: 1px solid black;
            text-align: left;
            padding: 10px 10px;
        }
        footer {
            width: 100%;
            border: 1px solid black;
            text-align: center;
        }
    </style>
</head>
<body>
    <header>
        <h1>Encabezado</h1>
    </header>
    
    <nav>
        <ul>
            <li><a href="#">Inicio</a></li>
            <li><a href="#">Acerca de</a></li>
            <li><a href="#">Contacto</a></li>
        </ul>
    </nav>
    
    <main>
        <section>
            <h2>Contenido principal</h2>
            <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Perferendis odio, laudantium earum omnis expedita quos provident et mollitia, aut architecto recusandae cum a. Velit quia beatae deserunt repudiandae recusandae qui?</p>
        </section>
    </main>
    
    <footer>
        <p>Pie de página</p>
    </footer>
</body>
</html>
